/* CSS STYLES
UNIVERSAL - WEBS DI
AUTHOR: M. en C. OMAR AGNI G. */

@charset "UTF-8";

:root {
	--bs-body-font-family: 'Roboto', sans-serif;
	--azul-marino-overlay: rgba(0, 31, 63, 0.9);
	--azul-header: #013B78;
	--dorado: #C8A70E;
}

html{
	scroll-padding-top: 80px;
	scroll-behavior: smooth;
}

body {
	font-family: 'Roboto', sans-serif;
    font-weight: 400;
    -webkit-font-smoothing: antialiased;
	color: #264266;
	margin: 5;
	overflow-x: hidden;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 700;
}

.sticky-header { 
	position: sticky; 
	top: 0; 
	z-index: 1020; 
	background-color: var(--azul-header) !important;
	box-shadow: 0 2px 5px rgba(0,0,0,0.2); 
}

.logo-img { 
	height: 60px; 
	width: auto; 
	margin-right: 15px; 
}

/* Navbar */

.navbar-light .navbar-nav .nav-link { 
	color: white !important; 
}

/* Barra de redes sociales */
.social-bar { 
	background: #f2f2f0;
}

/* Ajuste del Slider */

.carousel-control-prev-icon, .carousel-control-next-icon {
	background-color: rgba(0, 0, 0, 0.3); /* Un pequeño fondo oscuro circular */
	border-radius: 50%;
	padding: 20px;
	background-size: 50%;
}
	
.carousel-item img { 
	width: 100%; 
	height: 60h; /* 500px;  Ajuste de altura */
	object-fit: contain;
	background: #000;  
}

/* Móviles */
@media (max-width: 768px) {
	.carousel-item img {
		height: 300px; 
	}
}

/* Personalización Lightbox Azul Marino */

.glightbox-container .goverlay { 
	background: var(--azul-marino-overlay) !important;
}

.img-galeria {
    padding: 10px !important;
    background-color: transparent; 
}

/* FOOTER */

footer { 
	background: #565659;  /* Tono Secundario: GRIS OSCURO */
	background-color: var(--azul-header) !important;
	color: #fff; 
	padding: 40px 0; 
}

.footer-logo { 
	height: 120px; 
}

footer a {
	color: #ffffff !important;
	text-decoration: none;
	transition: color 0.3s ease;
}

footer a:visited, footer a:hover {
	color: var(--dorado) !important;
}

/* NavBar */

@media (min-width: 992px) { 
.navbar-nav .nav-item.dropdown:hover > .dropdown-menu {
	display: block;
	margin-top: 0; 
}

/* Submenús laterales */

.dropdown-submenu {
	position: relative;
}

.dropdown-submenu .dropdown-menu {
	top: 0;
	left: 100%;
	margin-top: -1px;
	display: none;
}

.dropdown-submenu:hover > .dropdown-menu {
	display: block;
}
    
.dropdown-menu {
	animation: fadeIn 0.3s;
}
}

@keyframes fadeIn {
	from { opacity: 0; transform: translateY(10px); 
}

to { 
	opacity: 1; 
	transform: translateY(0); 
}
}

/* Estilos del Contador */
        .countdown-item {
            background: #f0f4f8;
            border: 1px solid var(--azul-marino);
            border-radius: 12px;
            min-width: 85px;
            padding: 15px;
            text-align: center;
        }

        /* Estilos del Contador */
        .countdown-container {
            display: flex;
            gap: 15px;
            margin: 30px 0;
        }

        .countdown-number {
            display: block;
            font-size: 1.8rem;
            font-weight: 700;
            color: var(--primary-color);
        }

        .countdown-label {
            font-size: 0.7rem;
            text-transform: uppercase;
            color: #6c757d;
            letter-spacing: 1px;
        }